! Este programa lê a temperatura média de cada mes
! do ano de 2012, calcula a temperatura média do ano
! e imprime o número dos meses que tiveram temperatura
! abaixo da temperatura anual 
program Temperaturas
	implicit none 
    integer  i
    real temp_med_mes(12), temp_med_do_ano, soma
    
    ! Lê temperatura média de cada mês
    write (*, *) "Informe a temperatura media dos 12 temp_med_meses de 2008"
    write (*, *)
    read  (*, *) (temp_med_mes(i), i = 1, 12, 1)

    ! Soma temperaturas 
    soma = 0    
    do i = 1, 12, 1
      soma = soma + temp_med_mes(i)
    end do
    
    ! Calcula e imprime temperatura média do ano
	temp_med_do_ano = soma/12
	write(*, *)
    write(*, *)"Temperatura Media do ano foi ", soma/12
	write(*, *)
    
    ! Separa os meses abaixo da média
    write(*, *)"Meses com temperatura media inferior a temperatura &
                &media de 2008"    
    do i = 1, 12, 1
      if(temp_med_mes(i) < temp_med_do_ano)then
        write(*,*) i
      end if  
    end do
        
    stop
end program Temperaturas


